/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angouleme.fr  +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/12/12 17:20:17 by cchauvet          #+#    #+#             */
/*   Updated: 2023/01/04 19:47:28 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "solong.h"

int	main(void)
{
	void		*window_manager;
	void		*window;
	t_shape		shape;

	window_manager = mlx_init();
	window = mlx_new_window(window_manager, 500, 500, "Hello world!");
	shape.x = 10;
	shape.y = 10;
	shape.size = 100;
	shape.color = ft_strdup("purple");
	shape.bcolor = ft_strdup("black");
	shape.shape = ft_strdup("square");
	ft_xpm_gen_file(shape);
	free(shape.color);
	free(shape.bcolor);
	free(shape.shape);
	mlx_loop(window_manager);
	mlx_destroy_window(window_manager, window);
	mlx_destroy_display(window_manager);
	free(window_manager);
}
